Subject: Re: git-svn fetch

From: doki_pen <[email-masked]>
Date: Fri, 29 May 2009 16:31:07 -0400

Michael J Gruber wrote:
> Doki Pen venit, vidit, dixit 29.05.2009 17:09:
>   
[snip]
>> The problem I'm experiencing is that everytime a new branch is added, 
>> git svn fetch seems to download the entire history all the way from r1. 
[snip]
>
> AFAIK git-svn has to go back in order to search for possible earlier
> history of $newbranch. For git-svn, the following two scenarios are
> basically equivalent:
>
> - a new branch is added to the svn repo
> - you change your git-svn config so that a new branch becomes
> "interesting" (which had been skipped before)
>
> git-svn treats them the same way ("a branch we don't know about yet"),
> because it can't really (reliably) distinguish between them.
>   

Turns out that in their infinite wisdom, the repo gods laid out the 
structure like this:

/trunk
  /Source
     [THECODE]
  /SomethingElse
  /SomeOtherStuff
/branches
  /BRANCH-1
     [THECODE]
  /...

The problem was I had trunk set to /trunk and not /trunk/Source.  This 
was a bad mistake.  Since I have fixed it git-svn is quite a bit faster!

TY